Bug 260075 - x11/gtk-app-menu 0.7.6_1 configuration fails
Summary: x11/gtk-app-menu 0.7.6_1 configuration fails
Status: Closed FIXED
Alias: None
Product: Ports & Packages
Classification: Unclassified
Component: Individual Port(s) (show other bugs)
Version: Latest
Hardware: Any Any
: --- Affects Many People
Assignee: Fernando Apesteguía
URL:
Keywords:
Depends on:
Blocks:
 
Reported: 2021-11-27 09:21 UTC by Jim D.
Modified: 2022-01-18 06:52 UTC (History)
3 users (show)

See Also:
trueos: maintainer-feedback-


Attachments
make configure output (1.76 KB, application/x-bzip)
2021-11-27 09:21 UTC, Jim D.
no flags Details
gtk-app-menu configure meson log (3.39 KB, text/plain)
2021-11-27 09:22 UTC, Jim D.
no flags Details
pkg-static list (21.34 KB, application/x-bzip)
2021-11-27 09:24 UTC, Jim D.
no flags Details
Possible patch to fix build (936 bytes, patch)
2021-11-30 14:46 UTC, Trenton Schulz
trueos: maintainer-approval+
Details | Diff
Final patch (1.87 KB, patch)
2021-12-01 19:38 UTC, Trenton Schulz
trueos: maintainer-approval+
Details | Diff

Note You need to log in before you can comment on or make changes to this bug.
Description Jim D. 2021-11-27 09:21:24 UTC
Created attachment 229753 [details]
make configure output

make configure fails with the following message:

po/meson.build:1:5: ERROR: Tried to create target "vala-panel-appmenu-nb.mo", but a target of that name already exists.
Comment 1 Jim D. 2021-11-27 09:22:52 UTC
Created attachment 229754 [details]
gtk-app-menu configure meson log
Comment 2 Jim D. 2021-11-27 09:24:43 UTC
Created attachment 229755 [details]
pkg-static list

OS: FBSD-12.2
portsnap fetch & update: 2021-11-27
Comment 3 Trenton Schulz 2021-11-29 07:45:06 UTC
Thanks for the report. I'll try and take a look this week and see what is causing the problem.
Comment 4 Trenton Schulz 2021-11-29 08:02:29 UTC
Seems this may be some fallout from the meson upgrade (#259080), which mentions this specific bug, but will need to run some builds to see.
Comment 5 Trenton Schulz 2021-11-29 19:25:51 UTC
I have now built x11/gtk-app-menu in poudriere with a ports snapshot from a few days back and a portsnap I ran this evening. Both built OK. 

The error message is from the meson upgrade (#259080). I saw that with the most recent portsnap that meson had also been upgraded to 0.60.2. It might be worthwhile upgrading meson and trying again or going back to an earlier version of meson.

Otherwise, unless, there is something else. I'm tempted to mark this as closed.
Comment 6 Jim D. 2021-11-30 09:18:58 UTC
Just did a portsnap fetch/update and upgraded meson to 60.2 (2021-11-30)

atk-app-menu make configure still fails with the same error message as before.
Comment 7 Trenton Schulz 2021-11-30 14:46:25 UTC
Created attachment 229810 [details]
Possible patch to fix build
Comment 8 Trenton Schulz 2021-11-30 14:49:17 UTC
(In reply to Jim D. from comment #6)

Hi Jim,

I took a closer look, and it seems that not all ports that triggered this bug didn't get the fix. Could you apply the patch that I posted and see if that fixes the issue with the build for you? If it does, I'll add update the port.
Comment 9 Jim D. 2021-11-30 23:59:50 UTC
(In reply to Trenton Schulz from comment #8)

Applied supplied Makefile/distinfo patches.

Configure, Make, and Install are now succssful

Thanks!
Comment 10 Trenton Schulz 2021-12-01 19:38:20 UTC
Created attachment 229832 [details]
Final patch

Thank you for reporting, being persistent, and testing the patch! This fix is ready to land now.
Comment 11 commit-hook freebsd_committer 2021-12-22 16:25:29 UTC
A commit in branch main references this bug:

URL: https://cgit.FreeBSD.org/ports/commit/?id=caee6c3a17409339ddc92cd59d39a2b6b71f8d8c

commit caee6c3a17409339ddc92cd59d39a2b6b71f8d8c
Author:     Jim D <radicleparticles@gmail.com>
AuthorDate: 2021-12-22 13:34:50 +0000
Commit:     Fernando Apesteguía <fernape@FreeBSD.org>
CommitDate: 2021-12-22 16:23:26 +0000

    x11/gtk-app-menu: Fix configuration

    It failed after meson upgrade.

    PR:     260075
    Reported by:    radicleparticles@gmail.com
    Approved by:    trueos@norwegianrockcat.com (maintainer)

 x11/gtk-app-menu/Makefile | 22 ++++++++++++++++------
 x11/gtk-app-menu/distinfo |  2 ++
 2 files changed, 18 insertions(+), 6 deletions(-)
Comment 12 Fernando Apesteguía freebsd_committer 2022-01-18 06:52:07 UTC
Committed,

Thanks!